%define anolis_release 2
Name:           fuse
Version:        3.10.5 
Release:        %{anolis_release}%{?dist}
Summary:        File System in Userspace (FUSE) v3 utilities

License:        GPL+
URL:            http://fuse.sf.net
Source0:        https://github.com/libfuse/libfuse/releases/download/fuse-%{version}/fuse-%{version}.tar.xz 

BuildRequires:  which libselinux-devel meson ninja-build gcc gcc-c++ systemd-udev 
Requires:       %{_sysconfdir}/fuse.conf
Requires:       %{name}-libs = %{version}-%{release}
Provides:       fuse3

%description
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE v3 userspace tools to
mount a FUSE filesystem.

%package libs
Summary:        File System in Userspace (FUSE) v3 libraries
License:        LGPLv2+
Provides:       fuse3-libs

%description libs
Devel With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains the FUSE v3 libraries.

%package devel
Summary:        File System in Userspace (FUSE) v3 devel files
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig
License:        LGPLv2+
Provides:       fuse3-devel

%description devel
With FUSE it is possible to implement a fully functional filesystem in a
userspace program. This package contains development files (headers,
pgk-config) to develop FUSE v3 based applications/filesystems.

%package -n fuse-common
Summary:        Common files for File System in Userspace (FUSE) v2 and v3
License:        GPL+
Provides:       fuse3-common

%description -n fuse-common
Common files for FUSE v2 and FUSE v3.

%prep
%autosetup


%build
%meson
(cd %{_vpath_builddir}
meson configure -D useroot=false
ninja-build reconfigure)
%meson_build

%install
export MESON_INSTALL_DESTDIR_PREFIX=%{buildroot}/usr %meson_install
find %{buildroot} .
find %{buildroot} -type f -name "*.la" -print -delete
chmod 0755 %{buildroot}/%{_bindir}/fusermount3

rm -f %{buildroot}/%{_libdir}/*.a
rm -f %{buildroot}%{_sysconfdir}/init.d/fuse3

cat << EOF > %{buildroot}%{_sysconfdir}/%{name}.conf
# mount_max = 1000
# user_allow_other
EOF

rm -f %{buildroot}/usr/lib/udev/rules.d/99-fuse3.rules

%ldconfig_scriptlets libs

%files
%license LICENSE GPL2.txt
%doc AUTHORS ChangeLog.rst README.md
%{_sbindir}/mount.fuse3
%attr(4755,root,root) %{_bindir}/fusermount3
%{_mandir}/man1/*
%{_mandir}/man8/*

%files libs
%license LGPL2.txt
%{_libdir}/libfuse3.so.*

%files devel
%{_libdir}/libfuse3.so
%{_libdir}/pkgconfig/fuse3.pc
%{_includedir}/fuse3/

%files -n fuse-common
%config(noreplace) %{_sysconfdir}/fuse.conf

%changelog
* Thu Mar 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.10.5-2
- provides fuse3 and related packages

* Mon Mar 14 2022 forrest_ly <flin@linux.alibaba.com> - 3.10.5-1
- Init for Anolis OS 23 
